Sie sind auf Seite 1von 37

MarkRijckenberg / shell-scripts Sign up

Code Issues 0 Pull requests 0 Projects 0 Security Pulse

Dismiss
Join GitHub today
GitHub is home to over 40 million developers working together to host
and review code, manage projects, and build software together.

Sign up

Branch: master shell-scripts / temenos-t24-dot-profile-configuration.sh Find file Copy path

MarkRijckenberg Update temenos-t24-dot-profile-configuration.sh 49b644e on May 27, 2014

1 contributor

Executable File 1180 lines (1003 sloc) 53.1 KB Raw Blame History

1 #!/bin/ksh
2 # TYPE: Korn Shell script.
3 # PURPOSE: This korn shell script works for Temenos T24 V6 + JBASE 4.1.5.10 and JBASE 4.1.5.22 installs. This script is a
4 # to use deployment tools like puppet or chef and are not allowed to get root access to the AIX server :-) All the conf
5 # You just need to rename this file to .profile and (automatically) copy this .profile file to the home directory of all
6 # I am pretty sure it is easy to re-use this script on Linux servers or other UNIX servers as well.
7 # SOFTWARE-VENDOR: http://www.temenos.com/
8 # REQUIRES: ksh, Temenos T24 V6, JBASE 4.1.5.10 or JBASE 4.1.5.22, AIX v5.3.9, java 1.4.2, perl modules, perl libraries
9 # REVISED: 20130301

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
10 # Updated by: Mark Rijckenberg
11
12 ##For korn shell (or bash), use trap to set up the shell to catch the error and run a command. The simplest command to ru
13
14 #trap 'exit $?' ERR
15 # -------------------- Profile.Ksh --------------------------------------------------------------------------------------
16
17 #
18
19 # -------------------- SIMPLE VARIABLE DECLARATION ----------------------------------------------------------------------
20
21 # undefine common stty settings to avoid clash with some terminfo and jed controls
22 stty quit ^- dsusp ^- susp ^- erase ^h
23 alias X="stty $(stty -g)"
24 umask 002
25 ulimit -s 4194304
26 ulimit -m unlimited
27 ulimit -n 15000
28 export HISTSIZE=1000
29 ## Configure default prompt
30 PS1="$(uname)-\$PWD: "
31
32 export HOSTNAME=`hostname`
33 export USERID=`whoami`
34 export OSLEVEL="`oslevel -s`"
35 export JAVAROOT=/usr/java14
36 export MALLOCTYPE=buckets
37 export PGPPATH=/data/se-ECPB/PGP/database
38
39 # MAYBE TO BE ENABLED IN THE FUTURE: export AIXTHREAD_SCOPE=S
40
41 # -------------------- COMPLEX/CONDITIONAL VARIABLE DECLARATION ---------------------------------------------------------
42

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
43 # ========================== ========================== ========================== ========================== ===========
44
45 # define STARTPORTNO, ENDPORTNO, JBCPORTNO and ORACLE_SID for the T24 PROD,QA,DEV and INT servers
46
47 if [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t24" ]; then
48 # export JBCPORTNO=24000-24999
49 export ORACLE_SID=""
50 STARTPORTNO=`echo $USERID|cut -b 3-`000
51 ENDPORTNO=`echo $USERID|cut -b 3-`999
52 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
53 export HOME=`pwd`
54 export VOCBACKUPDIR=/t24/"$USERID"backups
55 export ENVIRONMENT=TEST
56 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t241" ]; then
57 # export JBCPORTNO=41000-41999
58 export ORACLE_SID=ECPB05T
59 STARTPORTNO=`echo $USERID|cut -b 3-`000
60 ENDPORTNO=`echo $USERID|cut -b 3-`999
61 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
62 export HOME=`pwd`
63 export VOCBACKUPDIR=/t24/"$USERID"backups
64 export ENVIRONMENT=TEST
65 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t242" ]; then
66 # export JBCPORTNO=42000-42999
67 export ORACLE_SID=ECPB02T
68 STARTPORTNO=`echo $USERID|cut -b 3-`000
69 ENDPORTNO=`echo $USERID|cut -b 3-`999
70 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
71 export HOME=`pwd`
72 export VOCBACKUPDIR=/t24/"$USERID"backups
73 export ENVIRONMENT=TEST
74 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t243" ]; then
75 # export JBCPORTNO=43000-43999

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
76 export ORACLE_SID=ECPB03T
77 STARTPORTNO=`echo $USERID|cut -b 3-`000
78 ENDPORTNO=`echo $USERID|cut -b 3-`999
79 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
80 export HOME=`pwd`
81 export VOCBACKUPDIR=/t24/"$USERID"backups
82 export ENVIRONMENT=TEST
83 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "ecpb002t" ]; then
84 # export JBCPORTNO=43000-43999
85 export ORACLE_SID=ECPB03T
86 USERIDT24=t243
87 STARTPORTNO=`echo $USERIDT24|cut -b 3-`000
88 ENDPORTNO=`echo $USERIDT24|cut -b 3-`999
89 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
90 export HOME=`pwd`
91 export VOCBACKUPDIR=/t24/"$USERID"backups
92 export ENVIRONMENT=TEST
93 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t244" ]; then
94 # export JBCPORTNO=44000-44999
95 export ORACLE_SID=ECPB04T
96 STARTPORTNO=`echo $USERID|cut -b 3-`000
97 ENDPORTNO=`echo $USERID|cut -b 3-`999
98 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
99 export HOME=`pwd`
100 export VOCBACKUPDIR=/t24/"$USERID"backups
101 export ENVIRONMENT=TEST
102 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t245" ]; then
103 # export JBCPORTNO=45000-45999
104 export ORACLE_SID=""
105 STARTPORTNO=`echo $USERID|cut -b 3-`000
106 ENDPORTNO=`echo $USERID|cut -b 3-`999
107 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
108 export HOME=`pwd`

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
109 export VOCBACKUPDIR=/t24/"$USERID"backups
110 export ENVIRONMENT=TEST
111 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t246" ]; then
112 # export JBCPORTNO=46000-46999
113 export ORACLE_SID=""
114 STARTPORTNO=`echo $USERID|cut -b 3-`000
115 ENDPORTNO=`echo $USERID|cut -b 3-`999
116 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
117 export HOME=`pwd`
118 export VOCBACKUPDIR=/t24/"$USERID"backups
119 export ENVIRONMENT=TEST
120 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t247" ]; then
121 # export JBCPORTNO=47000-47999
122 export ORACLE_SID=""
123 STARTPORTNO=`echo $USERID|cut -b 3-`000
124 ENDPORTNO=`echo $USERID|cut -b 3-`999
125 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
126 export HOME=`pwd`
127 export VOCBACKUPDIR=/t24/"$USERID"backups
128 export ENVIRONMENT=TEST
129 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t248" ]; then
130 # export JBCPORTNO=48000-48999
131 export ORACLE_SID=ECPB01T
132 STARTPORTNO=`echo $USERID|cut -b 3-`000
133 ENDPORTNO=`echo $USERID|cut -b 3-`999
134 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
135 export HOME=`pwd`
136 export VOCBACKUPDIR=/t24/"$USERID"backups
137 export ENVIRONMENT=TEST
138 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t249" ]; then
139 # export JBCPORTNO=48000-48999
140 export ORACLE_SID=""
141 STARTPORTNO=`echo $USERID|cut -b 3-`000

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
142 ENDPORTNO=`echo $USERID|cut -b 3-`999
143 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
144 export HOME=`pwd`
145 export VOCBACKUPDIR=/t24/"$USERID"backups
146 export ENVIRONMENT=TEST
147 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t2410" ]; then
148 # export JBCPORTNO=48000-48999
149 export ORACLE_SID=""
150 STARTPORTNO=`echo $USERID|cut -b 3-`000
151 ENDPORTNO=`echo $USERID|cut -b 3-`999
152 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
153 export HOME=`pwd`
154 export VOCBACKUPDIR=/t24/"$USERID"backups
155 export ENVIRONMENT=TEST
156 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t2411" ]; then
157 # export JBCPORTNO=48000-48999
158 export ORACLE_SID=ECNL02T
159 STARTPORTNO=`echo $USERID|cut -b 3-`000
160 ENDPORTNO=`echo $USERID|cut -b 3-`999
161 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
162 export HOME=`pwd`
163 export VOCBACKUPDIR=/t24/"$USERID"backups
164 export ENVIRONMENT=TEST
165 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t2415" ]; then
166 # export JBCPORTNO=15000-15999
167 export ORACLE_SID=""
168 STARTPORTNO=`echo $USERID|cut -b 3-`000
169 ENDPORTNO=`echo $USERID|cut -b 3-`999
170 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
171 export HOME=`pwd`
172 export VOCBACKUPDIR=/t24/"$USERID"backups
173 export ENVIRONMENT=TEST
174 elif [ "$HOSTNAME" = "staa0268" ] && [ "$USERID" = "t2416" ]; then

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
175 # export JBCPORTNO=16000-16999
176 export ORACLE_SID=""
177 STARTPORTNO=`echo $USERID|cut -b 3-`000
178 ENDPORTNO=`echo $USERID|cut -b 3-`999
179 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
180 export HOME=`pwd`
181 export VOCBACKUPDIR=/t24/"$USERID"backups
182 export ENVIRONMENT=TEST
183
184 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t242" ]; then
185 # export JBCPORTNO=42000-42999
186 export ORACLE_SID=ECPB5D
187 STARTPORTNO=`echo $USERID|cut -b 3-`000
188 ENDPORTNO=`echo $USERID|cut -b 3-`999
189 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
190 export HOME=`pwd`
191 export VOCBACKUPDIR=/t24/"$USERID"backups
192 export ENVIRONMENT=DEV
193 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t243" ]; then
194 # export JBCPORTNO=43000-43999
195 export ORACLE_SID=CRDE3D
196 STARTPORTNO=`echo $USERID|cut -b 3-`000
197 ENDPORTNO=`echo $USERID|cut -b 3-`999
198 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
199 export HOME=`pwd`
200 export VOCBACKUPDIR=/t24/"$USERID"backups
201 export ENVIRONMENT=DEV
202 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t244" ]; then
203 # export JBCPORTNO=44000-44999
204 export ORACLE_SID=CRDE2D
205 STARTPORTNO=`echo $USERID|cut -b 3-`000
206 ENDPORTNO=`echo $USERID|cut -b 3-`999
207 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
208 export HOME=`pwd`
209 export VOCBACKUPDIR=/t24/"$USERID"backups
210 export ENVIRONMENT=DEV
211 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t245" ]; then
212 # export JBCPORTNO=45000-45999
213 export ORACLE_SID=""
214 STARTPORTNO=`echo $USERID|cut -b 3-`000
215 ENDPORTNO=`echo $USERID|cut -b 3-`999
216 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
217 export HOME=`pwd`
218 export VOCBACKUPDIR=/t24/"$USERID"backups
219 export ENVIRONMENT=DEV
220 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t247" ]; then
221 # export JBCPORTNO=47000-47999
222 export ORACLE_SID=CRDED
223 STARTPORTNO=`echo $USERID|cut -b 3-`000
224 ENDPORTNO=`echo $USERID|cut -b 3-`999
225 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
226 export HOME=`pwd`
227 export VOCBACKUPDIR=/t24/"$USERID"backups
228 export ENVIRONMENT=DEV
229 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t248" ]; then
230 # export JBCPORTNO=48000-48999
231 export ORACLE_SID="ECPB6D"
232 STARTPORTNO=`echo $USERID|cut -b 3-`000
233 ENDPORTNO=`echo $USERID|cut -b 3-`999
234 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
235 export HOME=`pwd`
236 export VOCBACKUPDIR=/t24/"$USERID"backups
237 export ENVIRONMENT=DEV
238 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t249" ]; then
239 # export JBCPORTNO=49000-49999
240 export ORACLE_SID=""

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
241 STARTPORTNO=`echo $USERID|cut -b 3-`000
242 ENDPORTNO=`echo $USERID|cut -b 3-`999
243 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
244 export HOME=`pwd`
245 export VOCBACKUPDIR=/t24/"$USERID"backups
246 export ENVIRONMENT=DEV
247 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t2410" ]; then
248 # export JBCPORTNO=410000-410999
249 export ORACLE_SID=""
250 STARTPORTNO=`echo $USERID|cut -b 3-`000
251 ENDPORTNO=`echo $USERID|cut -b 3-`999
252 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
253 export HOME=`pwd`
254 export VOCBACKUPDIR=/t24/"$USERID"backups
255 export ENVIRONMENT=DEV
256 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t2414" ]; then
257 # export JBCPORTNO=414000-414999
258 export ORACLE_SID="CRDE4D"
259 STARTPORTNO=`echo $USERID|cut -b 3-`000
260 ENDPORTNO=`echo $USERID|cut -b 3-`999
261 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
262 export HOME=`pwd`
263 export VOCBACKUPDIR=/t24/"$USERID"backups
264 export ENVIRONMENT=DEV
265 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t2415" ]; then
266 # export JBCPORTNO=15000-15999
267 export ORACLE_SID=""
268 STARTPORTNO=`echo $USERID|cut -b 3-`000
269 ENDPORTNO=`echo $USERID|cut -b 3-`999
270 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
271 export HOME=`pwd`
272 export VOCBACKUPDIR=/t24/"$USERID"backups
273 export ENVIRONMENT=DEV

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
274 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t2416" ]; then
275 # export JBCPORTNO=16000-16999
276 export ORACLE_SID=CRDE5D
277 STARTPORTNO=`echo $USERID|cut -b 3-`000
278 ENDPORTNO=`echo $USERID|cut -b 3-`999
279 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
280 export HOME=`pwd`
281 export VOCBACKUPDIR=/t24/"$USERID"backups
282 export ENVIRONMENT=DEV
283 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t24" ]; then
284 # export JBCPORTNO=24000-24999
285 export ORACLE_SID=""
286 STARTPORTNO=`echo $USERID|cut -b 3-`000
287 ENDPORTNO=`echo $USERID|cut -b 3-`999
288 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
289 export HOME=`pwd`
290 export VOCBACKUPDIR=/t24/"$USERID"backups
291 export ENVIRONMENT=DEV
292 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t241" ]; then
293 # export JBCPORTNO=24000-24999
294 export ORACLE_SID=ECPBD
295 STARTPORTNO=`echo $USERID|cut -b 3-`000
296 ENDPORTNO=`echo $USERID|cut -b 3-`999
297 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
298 export HOME=`pwd`
299 export VOCBACKUPDIR=/t24/"$USERID"backups
300 export ENVIRONMENT=DEV
301 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t246" ]; then
302 # export JBCPORTNO=46000-46999
303 export ORACLE_SID=ECPB07D
304 STARTPORTNO=`echo $USERID|cut -b 3-`000
305 ENDPORTNO=`echo $USERID|cut -b 3-`999
306 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
307 export HOME=`pwd`
308 export VOCBACKUPDIR=/t24/"$USERID"backups
309 export ENVIRONMENT=DEV
310 elif [ "$HOSTNAME" = "sdaa0226" ] && [ "$USERID" = "t2411" ]; then
311 # export JBCPORTNO=46000-46999
312 export ORACLE_SID=ECPB08D
313 STARTPORTNO=`echo $USERID|cut -b 3-`000
314 ENDPORTNO=`echo $USERID|cut -b 3-`999
315 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
316 export HOME=`pwd`
317 export VOCBACKUPDIR=/t24/"$USERID"backups
318 export ENVIRONMENT=DEV
319
320 elif [ "$HOSTNAME" = "scaa0225" ]; then
321 # export JBCPORTNO=1-999
322 export ORACLE_SID=CRDEC
323 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
324 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
325 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
326 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
327 export HOME=/t24/bnk/bnk.run
328 export VOCBACKUPDIR=/t24/t24backups
329 export ENVIRONMENT=QA
330 elif [ "$HOSTNAME" = "scaa0273" ]; then
331 # export JBCPORTNO=1000-1999
332 export ORACLE_SID=CRDEC
333 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
334 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
335 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
336 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
337 export HOME=/t24/bnk/bnk.run
338 export VOCBACKUPDIR=/t24/t24backups
339 export ENVIRONMENT=QA

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
340 elif [ "$HOSTNAME" = "scaa0228" ]; then
341 # export JBCPORTNO=2000-2999
342 export ORACLE_SID=ECPB07C
343 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
344 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
345 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
346 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
347 export HOME=/t24/bnk/bnk.run
348 export VOCBACKUPDIR=/t24/t24backups
349 export ENVIRONMENT=QA
350 elif [ "$HOSTNAME" = "scaa0253" ]; then
351 # export JBCPORTNO=3000-3999
352 export ORACLE_SID=ECPB5C
353 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
354 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
355 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
356 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
357 export HOME=/t24/bnk/bnk.run
358 export VOCBACKUPDIR=/t24/t24backups
359 export ENVIRONMENT=QA
360 elif [ "$HOSTNAME" = "scaa0263" ]; then
361 # export JBCPORTNO=4000-4999
362 export ORACLE_SID=ECPB3C
363 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
364 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
365 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
366 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
367 export HOME=/t24/bnk/bnk.run
368 export VOCBACKUPDIR=/t24/t24backups
369 export ENVIRONMENT=QA
370 elif [ "$HOSTNAME" = "scaa0272" ]; then
371 # export JBCPORTNO=5000-5999
372 export ORACLE_SID=ECPB3C

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
373 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
374 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
375 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
376 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
377 export HOME=/t24/bnk/bnk.run
378 export VOCBACKUPDIR=/t24/t24backups
379 export ENVIRONMENT=QA
380 elif [ "$HOSTNAME" = "scaa0264" ]; then
381 # export JBCPORTNO=6000-6999
382 export ORACLE_SID=ECPB4C
383 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
384 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
385 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
386 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
387 export HOME=/t24/bnk/bnk.run
388 export VOCBACKUPDIR=/t24/t24backups
389 export ENVIRONMENT=QA
390 elif [ "$HOSTNAME" = "scaa0269" ]; then
391 # export JBCPORTNO=7000-7999
392 export ORACLE_SID=ECPB6C
393 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
394 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
395 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
396 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
397 export HOME=/t24/bnk/bnk.run
398 export VOCBACKUPDIR=/t24/t24backups
399 export ENVIRONMENT=QA
400 elif [ "$HOSTNAME" = "scaa0290" ]; then
401 # export JBCPORTNO=8000-8999
402 export ORACLE_SID=CRDE2C
403 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
404 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
405 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
406 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
407 export HOME=/t24/bnk/bnk.run
408 export VOCBACKUPDIR=/t24/t24backups
409 export ENVIRONMENT=QA
410 elif [ "$HOSTNAME" = "spaa0246" ]; then
411 # export JBCPORTNO=1-999
412 export ORACLE_SID=ECPBP
413 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
414 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
415 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
416 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
417 export HOME=/t24/bnk/bnk.run
418 export VOCBACKUPDIR=/t24/t24backups
419 export ENVIRONMENT=PROD
420 elif [ "$HOSTNAME" = "spaa0247" ]; then
421 # export JBCPORTNO=1000-1999
422 export ORACLE_SID=ECPBP
423 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
424 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
425 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
426 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
427 export HOME=/t24/bnk/bnk.run
428 export VOCBACKUPDIR=/t24/t24backups
429 export ENVIRONMENT=PROD
430 elif [ "$HOSTNAME" = "spaa0248" ]; then
431 # export JBCPORTNO=2000-2999
432 export ORACLE_SID=ECPBP
433 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
434 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
435 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
436 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
437 export HOME=/t24/bnk/bnk.run
438 export VOCBACKUPDIR=/t24/t24backups

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
439 export ENVIRONMENT=PROD
440 elif [ "$HOSTNAME" = "spaa0249" ]; then
441 # export JBCPORTNO=3000-3999
442 export ORACLE_SID=ECPBP
443 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
444 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
445 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
446 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
447 export HOME=/t24/bnk/bnk.run
448 export VOCBACKUPDIR=/t24/t24backups
449 export ENVIRONMENT=PROD
450 elif [ "$HOSTNAME" = "spaa0250" ]; then
451 # export JBCPORTNO=4000-4999
452 export ORACLE_SID=ECPBP
453 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
454 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
455 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
456 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
457 export HOME=/t24/bnk/bnk.run
458 export VOCBACKUPDIR=/t24/t24backups
459 export ENVIRONMENT=PROD
460 elif [ "$HOSTNAME" = "spaa0251" ]; then
461 # export JBCPORTNO=5000-5999
462 export ORACLE_SID=ECPBP
463 ############# STARTPORTNO=(hostname without the first 6 characters) * 1000 ##########
464 STARTPORTNO=`echo $HOSTNAME|cut -b 7-`000
465 ENDPORTNO=`echo $HOSTNAME|cut -b 7-`999
466 export JBCPORTNO=$STARTPORTNO-$ENDPORTNO
467 export HOME=/t24/bnk/bnk.run
468 export VOCBACKUPDIR=/t24/t24backups
469 export ENVIRONMENT=PROD
470 else
471 echo "Default JBCPORTNO 63000-63999 taken"

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
472 export JBCPORTNO=63000-63999
473 export ORACLE_SID=""
474 export HOME=/t24/bnk/bnk.run
475 export VOCBACKUPDIR=/t24/t24backups
476 fi
477 # ========================== ========================== ========================== ========================== ===========
478
479 if [ "$OSLEVEL" = "5300-07-01-0748" ]; then
480
481 export PERLMODULES=/t24/PERL-AIX537
482 echo "AIX oslevel -s value is $OSLEVEL Using perl modules directory $PERLMODULES"
483
484 elif [ "$OSLEVEL" = "5300-09-02-0849" ]; then
485
486 export PERLMODULES=/t24/PERL-AIX539
487 echo "AIX oslevel -s value is $OSLEVEL Using perl modules directory $PERLMODULES"
488
489 else
490 export PERLMODULES=/t24/PERL-AIX537
491 echo "Using perl modules directory $PERLMODULES"
492 echo "Make sure the symbolic link /t24/PERL is pointing to /t24/PERL-AIX537"
493 echo "AIX oslevel -s value is $OSLEVEL, but perl libraries in /t24/PERL-AIX537 were compiled against AIX oslevel 53
494
495 fi
496
497
498 ## ========================== ========================== ========================== ========================== ==========
499
500 # -------------------- SIMPLE VARIABLE DECLARATION ----------------------------------------------------------------------
501
502
503 #
504 # Configure ENV for environment

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
505 ENV=${HOME}/.env
506 # default to vi editor and vi options and cd to home
507 VISUAL=/usr/bin/vi
508 set -o vi
509 # check if logged in user is using a personal account or a t24 account
510 export CHECKT24USER="`echo $USERID|grep t24|grep -v grep`"
511 export ORACLEPORTNO=`tnsping $ORACLE_SID |grep -i port|cut -d"(" -f7|cut -d"=" -f2|cut -d")" -f1`
512
513 # ========================== ========================== ========================== ========================== ===========
514
515 export EXPATLIB=$PERLMODULES/expat-2.0.1/.libs:$PERLMODULES/expat-2.0.1/xmlwf/.libs
516 export LIBXMLLIB=$PERLMODULES/libxml2-2.7.2/.libs
517 #Modification on 20081008 for PERLLIB
518 export PERLLIB=$EXPATLIB:$LIBXMLLIB:$PERLMODULES/lib:$PERLMODULES/bin:$PERLMODULES/lib/site_perl/5.8.2/aix-thread-multi/a
519
520 # ========================== ========================== ========================== ========================== ===========
521
522 export ORACLE_HOME=/oracle00/home/10.2.0.1
523 export ORACLE_BASE=/oracle00/home
524 # define location of jspooler and jbase and VOCBACKUP directories
525 export JBCSPOOLERDIR=$HOME/../jspooler
526 export JSPOOLLOG=$JBCSPOOLERDIR/jspool_log
527 # specify location of currently used XMLORACLE driver
528 export DRIVER_HOME=$HOME/../driver
529 export JBCOBJECTLIST=$DRIVER_HOME/lib:$HOME/lib:$HOME/globuslib
530 export JBCDIR=$JBCSPOOLERDIR
531 export JBCRELEASEDIR=$HOME/../jbase
532 export JBCGLOBALDIR=$JBCRELEASEDIR
533 export JBCDATADIR=$HOME/jbase_data
534 # Set up the path to the SAVEDLIST file
535 export JBCLISTFILE=$HOME/\&SAVEDLISTS\&
536 export VOCBACKUPDATEDIR=$VOCBACKUPDIR/`date +%Y%m%d`
537 # ask user to create and populate jspooler directory if it does not exist in the right location

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
538 # change default value of BACKUPSTUBFILES from 0 to 1 if you want to enable automatic daily backups of stubfiles
539 # warning: each daily stub backup can take up to 28 MB of diskspace
540 export BACKUPSTUBFILES="0"
541 # determine currently running version of JBASE (Major and Minor release version numbers) to determine which correct versi
542
543 export JBASEMAJORRELEASEVERSION=`$HOME/../jbase/bin/jdiag |grep "RELEASE Information"|cut -c 37-39`
544 export JBASEMINORRELEASEVERSION=`$HOME/../jbase/bin/jdiag |grep "RELEASE Information"|cut -c 49-52`
545 #export JEDI_XMLORACLE_TRACE=TRUE
546 export NLSPATH=/usr/lib/nls/msg/%L/%N:/usr/lib/nls/msg/%L/%N.cat
547 export NLS_LANG=AMERICAN_AMERICA.WE8ISO8859P1
548 export ORA_NLS33=/oracle00/home/10.2.0.1/ocommon/nls/admin/data
549 export JAVA_HOME=$HOME/../jbase/jdk
550 export SHLIB_PATH=${SHLIB_PATH:-/usr/lib:/lib}:$JRELIB:$JBCRELEASEDIR/lib
551 export JEDI_XMLORACLE_NVL_INDEX=1
552 export JEDI_RECYCLEPURGE_ACTIVATED=1
553 # Set up path of where to find data files. By default if the JEDIFILEPATH
554 # is not set then files will be looked for first in the $HOME directory and
555 # if not found then in the "." current directory.
556 export JEDIFILEPATH=$HOME
557 # Set up where the MD and SYSTEM files can be found.
558 # By default, the MD and SYSTEM files are undefined, so Q pointers
559 # and other considerations (such as PQ procs from jsh) will not work.
560 export JEDIFILENAME_MD=$HOME/VOC
561 export JEDIFILENAME_SYSTEM=$JBCRELEASEDIR/src/SYSTEM
562
563 export CLASSPATH=$JBCRELEASEDIR/java/lib/javaobjex.jar:$JBCRELEASEDIR/java/lib/jbase.jar:$HOME/FB.LOCAL.API:$HOME/JAVA.BP
564
565 # To see jBASE man pages enable and export the MANPATH environment variable
566 # and set pager to "pg" or "more" as required.
567 export MANPATH=$JBCRELEASEDIR/man
568 #export PAGER=pg
569 # Set the environment variable JBCDEV_LIB & JBCDEV_BIN. These
570 # variable will decide the place where the bin and lib directories

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
571 # will reside in your environment. Any development done in jbase
572 # will be placed into these locations. If the source being compiled
573 # is an executable it will be placed into the bin folder and if it is
574 # a subroutine it will be placed into a shared library in the lib folder
575 #
576 export JBCDEV_BIN=$HOME/bin
577 export JBCDEV_LIB=$HOME/lib
578 export JBASEUNIQUE=$HOME/jBASEWORK
579 export LANG=en_US
580 # This variable sets the jBASE emulation to be prime.
581 export JBCEMULATE=prime
582 export JBASE_WARNLEVEL=30
583 export JBASE_INHIBIT_ZERO_USED=1
584 export JEDIENABLEQ2Q=1
585 # Internationalization settings
586 JBASE_TIMEZONE=Europe/Brussels
587 # The following environment variable is added to set the allowable open file descriptors
588 #export JBASE_MAX_OPEN_FILES=10000
589 export JBC_UNLOCK_LASTCLOSE=1
590 export JBC_SOB_NOCLOSE=1
591 export LDR_CNTRL=MAXDATA=0x80000000
592 export JBASE_ERRMSG_DIVIDE_ZERO=19
593 export JBASE_ERRMSG_NON_NUMERI=19
594 export JBASE_ERRMSG_ZERO_USED=35
595 # Internationalisation should NOT be enabled yet:
596 #export JBASE_I18N=1
597 #export JBASE_NOCOLLATION=1
598 #export JBASE_LOCALE=en_US
599 export LDR_CNTRL=USERREGS@MAXDATA=0x80000000
600 export TCSERVERPROCESS="`ps -ef|grep $USERID|grep erver|grep java`"
601 export NFSRGYDPROCESS="`ps -ef|grep nfsrgyd|grep -v grep`"
602
603 # -------------------- COMPLEX/CONDITIONAL VARIABLE DECLARATION ---------------------------------------------------------

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
604
605 if [ -n "$CHECKT24USER" ]; then
606 export T24ACCOUNT=YES
607 else
608 export T24ACCOUNT=NO
609 fi
610 # ========================== ========================== ========================== ========================== ===========
611
612 if [ "$JBASEMAJORRELEASEVERSION" = "4.1" ] && [ "$JBASEMINORRELEASEVERSION" = "5.6 " ]; then
613
614 export JREDIR=/t24/java142-20050609/jre
615 export JRELIB=$JREDIR/bin:$JREDIR/bin/classic
616 export LD_LIBRARY_PATH=$DRIVER_HOME/lib:$EXPATLIB:$LIBXMLLIB:$JRELIB:$JBCRELEASEDIR/lib:/usr/ccs/lib:/usr/lib:/orac
617
618 export LIBPATH=$LD_LIBRARY_PATH
619 echo "JBASE version is $JBASEMAJORRELEASEVERSION $JBASEMINORRELEASEVERSION Using java directory $JREDIR "
620
621 elif [ "$JBASEMAJORRELEASEVERSION" = "4.1" ] && [ "$JBASEMINORRELEASEVERSION" = "5.10" ] && [ "$OSLEVEL" = "5300-07-01-07
622
623 export JREDIR=$JAVAROOT/jre
624 export JRELIB=$JREDIR/bin:$JREDIR/bin/classic
625 export LD_LIBRARY_PATH=$DRIVER_HOME/lib:$EXPATLIB:$LIBXMLLIB:$JRELIB:$JBCRELEASEDIR/lib:/usr/ccs/lib:/usr/lib:/orac
626
627 export LIBPATH=$LD_LIBRARY_PATH
628 echo "JBASE version is $JBASEMAJORRELEASEVERSION $JBASEMINORRELEASEVERSION Using java directory $JREDIR "
629
630 elif [ "$JBASEMAJORRELEASEVERSION" = "4.1" ] && [ "$JBASEMINORRELEASEVERSION" = "5.10" ] && [ "$OSLEVEL" = "5300-09-02-08
631
632 export JREDIR=$JAVAROOT/jre
633 export JRELIB=$JREDIR/bin:$JREDIR/bin/classic
634 export LD_LIBRARY_PATH=$DRIVER_HOME/lib:$EXPATLIB:$LIBXMLLIB:$JRELIB:$JBCRELEASEDIR/lib:/usr/ccs/lib:/usr/lib:/orac
635
636 export LIBPATH=$LD_LIBRARY_PATH

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
637 echo "JBASE version is $JBASEMAJORRELEASEVERSION $JBASEMINORRELEASEVERSION Using java directory $JREDIR "
638
639
640 elif [ "$JBASEMAJORRELEASEVERSION" = "4.1" ] && [ "$JBASEMINORRELEASEVERSION" = "5.11" ]; then
641
642 export JREDIR=/t24/java142-20050609/jre
643 export JRELIB=$JREDIR/bin:$JREDIR/bin/classic
644 export LD_LIBRARY_PATH=$DRIVER_HOME/lib:$EXPATLIB:$LIBXMLLIB:$JRELIB:$JBCRELEASEDIR/lib:/usr/ccs/lib:/usr/lib:/orac
645
646 export LIBPATH=$LD_LIBRARY_PATH
647 echo "JBASE version is $JBASEMAJORRELEASEVERSION $JBASEMINORRELEASEVERSION Using java directory $JREDIR "
648
649 elif [ "$JBASEMAJORRELEASEVERSION" = "4.1" ] && [ "$JBASEMINORRELEASEVERSION" = "5.20" ]; then
650
651 export JREDIR=/t24/java142-20070317/jre
652 export JRELIB=$JREDIR/bin:$JREDIR/bin/classic
653 export LD_LIBRARY_PATH=$DRIVER_HOME/lib:$EXPATLIB:$LIBXMLLIB:$JRELIB:$JBCRELEASEDIR/lib:/usr/ccs/lib:/usr/lib:/orac
654
655 export LIBPATH=$LD_LIBRARY_PATH
656 echo "JBASE version is $JBASEMAJORRELEASEVERSION $JBASEMINORRELEASEVERSION Using java directory $JREDIR "
657
658 elif [ "$JBASEMAJORRELEASEVERSION" = "4.1" ] && [ "$JBASEMINORRELEASEVERSION" = "5.22" ]; then
659
660 export JREDIR=/t24/java142-20070317/jre
661 export JRELIB=$JREDIR/bin:$JREDIR/bin/classic
662 export LD_LIBRARY_PATH=$DRIVER_HOME/lib:$EXPATLIB:$LIBXMLLIB:$JRELIB:$JBCRELEASEDIR/lib:/usr/ccs/lib:/usr/lib:/orac
663
664 export LIBPATH=$LD_LIBRARY_PATH
665 echo "JBASE version is $JBASEMAJORRELEASEVERSION $JBASEMINORRELEASEVERSION Using java directory $JREDIR "
666
667
668 elif [ "$JBASEMAJORRELEASEVERSION" = "5.0" ]; then
669

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
670 export JREDIR=/t24/java150-20061003/jre
671 export JRELIB=$JREDIR/bin:$JREDIR/bin/classic
672 export LD_LIBRARY_PATH=$DRIVER_HOME/lib:$EXPATLIB:$LIBXMLLIB:$JRELIB:$JBCRELEASEDIR/lib:/usr/ccs/lib:/usr/lib:/orac
673
674 export LIBPATH=$LD_LIBRARY_PATH
675 echo "JBASE version is $JBASEMAJORRELEASEVERSION $JBASEMINORRELEASEVERSION Using java directory $JREDIR "
676
677 else
678 echo "Cannot determine which java version to use. Please run jdiag and use JBASE version info to manually determine
679
680 export JREDIR=$JAVAROOT/jre
681 export JRELIB=$JREDIR/bin:$JREDIR/bin/classic
682 export LD_LIBRARY_PATH=$DRIVER_HOME/lib:$EXPATLIB:$LIBXMLLIB:$JRELIB:$JBCRELEASEDIR/lib:/usr/ccs/lib:/usr/lib:/orac
683
684 export LIBPATH=$LD_LIBRARY_PATH
685 echo "JBASE version is $JBASEMAJORRELEASEVERSION $JBASEMINORRELEASEVERSION Using java directory $JREDIR "
686
687 fi
688
689 # recommend restarting tcserver if tcserver process was restarted before last modification date of .profile
690
691 if [ -e "$HOME/../tcserver/conf/TCServer/tcserver.xml" ]; then
692 export TELNETD_PORT=`cat $HOME/../tcserver/conf/TCServer/tcserver.xml |grep TELNETD |cut -d"> " -f2 |cut -d" <"
693
694 else
695 export TELNETD_PORT="Use valid T24 account to determine valid TELNETD_PORT"
696 fi
697 # ========================== ========================== ========================== ========================== ===========
698
699 if [ -e "$HOME/../tcserver/bin/tcserver.pid" ] && [ "$T24ACCOUNT" = YES ]; then
700 export TCSERVERPIDEXISTS=1
701 else
702 export TCSERVERPIDEXISTS=0

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
703 fi
704 # ========================== ========================== ========================== ========================== ===========
705
706 # -------------------- SIMPLE VARIABLE DECLARATION ----------------------------------------------------------------------
707
708 export HARVESTHOME=/opt/CA/harvest
709 export RT_FORCE_NODE_NAME=$HOSTNAME
710 export PATH=$DRIVER_HOME/bin:$DRIVER_HOME/lib:$JREDIR/bin:$EXPATLIB:$LIBXMLLIB:/usr/vac/bin:$JBCRELEASEDIR/bin:$JBCRELEAS
711
712
713
714
715
716 # .profile template for korn shell to execute j shell
717 # after configuring the environment
718 # After creating a user and his home directory you
719 # should append this file to the .profile in ${HOME}
720 #
721 # ###### # ##### #######
722 # # # # # # # # #
723 # # # # # # # #
724 # # ###### # # ##### #####
725 # # # # ####### # #
726 # # # # # # # # # #
727 # #### ###### # # ##### #######
728 #
729 # Set up the port, if it ever goes wild, then typing a single "X"
730 # should hopefully put it back, using the sequence Ctrl-J (^J), X, Ctrl-J (^J)
731 # whereby Ctrl-J means new line.
732 #
733 # Certain control characters used in some system stty settings may clash with
734 # control characters used within the JED/JSH programs, thus making the function
735 # appear not to work. In this case the clashing stty settings can be safely set

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
736 # to undefined thus allowing the control character to be processed by JED/JSH.
737 # e.g. Undefine stty "flush" character. stty flush ^-, where ^ is uparrow and
738 # - is the minus character. Alternatively JED can be configured to use alternative
739 # control characters via the .jedsrc file. See knowledge base.
740 #
741 # stty intr ^C kill icanon opost echo echoe echok onlcr -lcase tab3
742 #
743
744 #
745 #
746 # To set the default umask to 002. This allows the CREATE-FILE to create files with
747 # default permissions of 664. i.e. rw-rw-r--.
748 # Read/Write User, Read/Write Group, ReadOnly Others
749 # This enables file access permissions to be more easily controlled via user groups.
750 # Also in the case of network file access, unix locks required read/write access.
751 #
752 #
753 # Set up the directory of where jBASE is being run from.
754 # The JBCRELEASEDIR shows where the executables, libraries, scripts etc.
755 # can be found for the particular release you want to run. The
756 # JBCGLOBALDIR shows where a few of the global constants can be
757 # found, such as the configuration file for the record locking
758 # mechanism -- these should be common to all releases running on
759 # the same system
760 #
761 # If undefined, they will resort to /usr/jbc as a default. However, they
762 # are initialised in this script to the default, so that if you move
763 # to another test release at a later stage, it makes it very easy to
764 # update the JBCRELEASEDIR variable to say /usr/testjbc and all the
765 # other variables fall in to place.
766 #
767
768 # ========================== ========================== ========================== ========================== ===========

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
769
770 if ! test -d "${JBCDIR}" && [ $T24ACCOUNT = YES ]; then
771 echo "$JBCSPOOLERDIR not created yet. Please execute jshell command SP-NEWTAB and choose option C"
772 fi
773 # ========================== ========================== ========================== ========================== ===========
774
775 if ! test -e "${JSPOOLLOG}" && [ $T24ACCOUNT = YES ]; then
776 echo "$JSPOOLLOG not created yet. Please execute jshell command SP-NEWTAB and choose option C"
777 fi
778 # ========================== ========================== ========================== ========================== ===========
779
780 # create and populate VOCBACKUP and VOCBACKUPDATEDIR directories if it does not exist in the right location for the curre
781
782 if ! test -d "${VOCBACKUPDIR}"; then
783 mkdir $VOCBACKUPDIR
784 fi
785 # ========================== ========================== ========================== ========================== ===========
786
787 # create DRIVER_HOME directories if it does not exist in the right location for the current date
788 if ! test -d "${DRIVER_HOME}"; then
789 mkdir $DRIVER_HOME
790 mkdir $DRIVER_HOME/lib
791 mkdir $DRIVER_HOME/bin
792 fi
793 # ========================== ========================== ========================== ========================== ===========
794
795 if ! test -d "${VOCBACKUPDATEDIR}"; then
796 echo "Critical T24 config files have not been backed up yet today. Backup to $VOCBACKUPDATEDIR now automaticall
797
798 mkdir $VOCBACKUPDATEDIR
799 tar chf - $HOME/VOC* |bzip2 -9 - >$VOCBACKUPDATEDIR/VOC-backup.tar.bz2 &
800 tar chf - $HOME/jedi* |bzip2 -9 - >$VOCBACKUPDATEDIR/jedi_config-backup.tar.bz2 &
801 tar chf - $HOME/../scripts |bzip2 -9 - >$VOCBACKUPDATEDIR/scripts-backup.tar.bz2 &

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
802
803 if "$BACKUPSTUBFILES" = "1"; then
804 tar chf - $HOME/../bnk.data | bzip2 -9 >$VOCBACKUPDATEDIR/stubfiles.tar.bz2 &
805 fi
806
807 cp $HOME/.profile $VOCBACKUPDATEDIR
808 cp $HOME/../tcserver/conf/TCServer/tcserver.xml $VOCBACKUPDATEDIR
809 cp $HOME/../tcserver/bin/TCServer.sh $VOCBACKUPDATEDIR
810 cp $JBCRELEASEDIR/config/system.properties $VOCBACKUPDATEDIR
811 else
812 echo "Critical T24 config files have already been backed up today. No new backup to $VOCBACKUPDATEDIR required.
813
814 fi
815
816 # ========================== ========================== ========================== ========================== ===========
817
818 # Set permissions on MQLOGS directories - replaced by crontab (20091204)
819 # ========================== ========================== ========================== ========================== ===========
820
821 ## if [ "$USERID" = "t24" ] ; then
822 ## if [ "$HOSTNAME" = "scaa0225" ] || [ "$HOSTNAME" = "spaa0250" ]; then
823 ## test -e $VOCBACKUPDATEDIR/MQLOGSCHMOD.err.log || ( echo "Fixing MQLOGS, errors are in $VOCBACKUPD
824
825 ## fi
826 ## fi
827 # ========================== ========================== ========================== ========================== ===========
828
829 # delete backups that are older than 40 days
830 find $VOCBACKUPDIR -name "*" -mtime +40 | xargs rm -rf
831 # ========================== ========================== ========================== ========================== ===========
832
833 # ensure the necessary Riposte directories exist
834

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
835 if ! test -d "$HOME/FB.INITIAL.LOAD" && [ $T24ACCOUNT = YES ]; then
836 mkdir $HOME/FB.INITIAL.LOAD
837 fi
838
839 if ! test -d "$HOME/WEB" && [ $T24ACCOUNT = YES ]; then
840 mkdir $HOME/WEB
841 fi
842
843 if ! test -d "$HOME/RIP.OFS.IN" && [ $T24ACCOUNT = YES ]; then
844 mkdir $HOME/RIP.OFS.IN
845 fi
846
847 if ! test -d "$HOME/RIPERR" && [ $T24ACCOUNT = YES ]; then
848 mkdir $HOME/RIPERR
849 fi
850
851 if ! test -d "$HOME/RIPOUT" && [ $T24ACCOUNT = YES ]; then
852 mkdir $HOME/RIPOUT
853 fi
854
855 if ! test -d "$HOME/RIPIN" && [ $T24ACCOUNT = YES ]; then
856 mkdir $HOME/RIPIN
857 fi
858
859 if ! test -d "$HOME/RIPLOG" && [ $T24ACCOUNT = YES ]; then
860 mkdir $HOME/RIPLOG
861 fi
862
863 if ! test -d "$HOME/../bnk.data/eb/&HOLD&" && [ $T24ACCOUNT = YES ]; then
864 mkdir "$HOME/../bnk.data/eb/&HOLD&"
865 fi
866
867 # ========================== ========================== ========================== ========================== ===========

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
868
869 # ensure the necessary Business Object directories exist
870
871 if ! test -d "/data/se-ECPB/bus.obj.extract" && [ $T24ACCOUNT = YES ]; then
872 mkdir /data/se-ECPB/bus.obj.extract
873 fi
874
875
876 if ! test -d "/data/se-ECPB/bus.obj.temp" && [ $T24ACCOUNT = YES ]; then
877 mkdir /data/se-ECPB/bus.obj.temp
878 fi
879
880
881 if ! test -d "/data/se-ECPB/bus.obj.temp/pb.bus.obj.extr.adhoc" && [ $T24ACCOUNT = YES ]; then
882 mkdir /data/se-ECPB/bus.obj.temp/pb.bus.obj.extr.adhoc
883 fi
884
885
886 if ! test -d "/data/se-ECPB/bus.obj.temp/pb.bus.obj.extr" && [ $T24ACCOUNT = YES ]; then
887 mkdir /data/se-ECPB/bus.obj.temp/pb.bus.obj.extr
888 fi
889
890
891 if ! test -d "/data/se-ECPB/bus.obj.temp/pb.bus.obj.extr.his" && [ $T24ACCOUNT = YES ]; then
892 mkdir /data/se-ECPB/bus.obj.temp/pb.bus.obj.extr.his
893 fi
894
895 if ! test -d "/data/se-ECPB/bus.obj.temp/pb.bus.obj.extr.precob" && [ $T24ACCOUNT = YES ]; then
896 mkdir /data/se-ECPB/bus.obj.temp/pb.bus.obj.extr.precob
897 fi
898
899
900

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
901
902 # ========================== ========================== ========================== ========================== ===========
903
904 # ensure the necessary PPSN directories exist
905
906 if ! test -d "/data/se-ECPB/PPSN" && [ $T24ACCOUNT = YES ]; then
907 mkdir /data/se-ECPB/PPSN
908 fi
909
910 if ! test -d "/data/se-ECPB/PPSN/in" && [ $T24ACCOUNT = YES ]; then
911 mkdir /data/se-ECPB/PPSN/in
912 fi
913
914 if ! test -d "/data/se-ECPB/PPSN/out" && [ $T24ACCOUNT = YES ]; then
915 mkdir /data/se-ECPB/PPSN/out
916 fi
917
918 if ! test -d "/data/se-ECPB/PPSN/in-archive" && [ $T24ACCOUNT = YES ]; then
919 mkdir /data/se-ECPB/PPSN/in-archive
920 fi
921
922 if ! test -d "/data/se-ECPB/PPSN/out-archive" && [ $T24ACCOUNT = YES ]; then
923 mkdir /data/se-ECPB/PPSN/out-archive
924 fi
925
926 # ========================== ========================== ========================== ========================== ===========
927
928 # ensure the necessary sepa directories exist (for JBASE 4.1.5.22)
929 #
930 # if ! test -d "$HOME/sepabin" && [ $T24ACCOUNT = YES ]; then
931 # mkdir $HOME/sepabin
932 # fi
933 #

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
934 # if ! test -d "$HOME/sepalib" && [ $T24ACCOUNT = YES ]; then
935 # mkdir $HOME/sepalib
936 # fi
937 # ========================== ========================== ========================== ======================================
938
939 # ensure symbolic link to Harvest directory exists in $HOME/TEMP (to be used by AB.PACK.MAN.PLUS)
940 # The correct NFS mount in PROD, QA, DEV and INT is
941 # spaa0131 /HarvestXBorderShare/deployment /HarvestBuild nfs4 May 09 11:46 bg,soft,intr,vers=4,sec=sys,rw
942
943 if ! test -h "$HOME/TEMP/TAF-HARVEST" && [ $T24ACCOUNT = YES ]; then
944 ln -s /HarvestBuild/$ENVIRONMENT/ECPB/Deploy $HOME/TEMP/TAF-HARVEST
945 fi
946
947 # ========================== ========================== ========================== ========================== ===========
948
949 #
950 #
951 # Set up the shared object file name where we will resolve
952 # all the calls to subroutines made via. the CALL @Var() statements.
953 # The default is $HOME/lib. If you want to use shared objects other
954 # than in the default, set up a : delimited path of directory names
955 # and/or object name to search in, by setting the JBCOBJECTLIST variable.
956 #
957 # NOTE: When executing programs the PATH environment variable is used.
958 # When locating subroutines the JBCOBJECTLIST environment variable is used
959 # else by default the $HOME/lib directory. Therefore when cataloging ensure
960 # that either the default $HOME/bin or $HOME/lib directories areused to store
961 # the executables and shared libraries or else the environment variables
962 # JBCDEV_BIN and JBCDEV_LIB are configured to match PATH and JBCOBJECTLIST.
963 #
964 # e.g. If JBCOBJECTLIST were configured below then the directory /apps/myapp/lib
965 # would be used to locate any subroutines called by my main program. In this case
966 # the subroutines should of been cataloged with JBC_DEVLIB=/app1/myapp/lib also.

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
967 #
968 # ========================== ========================== ========================== ========================== ===========
969
970 # create jbase_data directory if it does not exist in the right location
971 if ! test -d "${JBCDATADIR}" && [ $USERID = "t24" ]; then
972 mkdir $JBCDATADIR
973 echo "$JBCDATADIR not created yet. Creating $JBCDATADIR directory..."
974 fi
975 # ========================== ========================== ========================== ========================== ===========
976
977 #
978 #
979 # During the search for a shared object, if an object is specified
980 # without a path component, e.g. "libsubroutines.so" , then AIX
981 # will use LIBPATH to find out what directory the object is in,
982 # and SVR4 systems will use LD_LIBRARY_PATH and HPUX the SHLIB_PATH.
983 #
984
985 #
986 #
987
988 #
989 #
990 # Set up base directory where we keep the spooler (default == /usr/jspooler)
991 #
992
993 #
994 #
995
996 #
997 #
998 # Setup the Unix PATH environment variable. This variable specifies the location and
999 # order in which directories will be search to find the command line executable.

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
1000 #
1001 #
1002 #
1003
1004 #
1005 # Tell jBASE where to create the tmp folder that it uses
1006 #
1007 #
1008 #
1009
1010 #
1011 #
1012
1013
1014 #
1015 #
1016 #
1017
1018 # We have now set up all the environment variable requried by jBASE.
1019 # We must run the jbcconnect command, so that these variables remain
1020 # for the entire session (unless purposely amended).
1021 #
1022 #
1023
1024
1025
1026 # should we use export JBASE_CODEPAGE=utf8 or JBASE_CODEPAGE=ISO-8859-1 in .profile for JBASE 4 and JBASE 5 ???
1027 # export JBASE_CODEPAGE=utf8
1028 #
1029 # We have now set up all the environment variable requried by jBASE.
1030 # We must run the jbcconnect command, so that these variables remain
1031 # for the entire session (unless purposely amended).
1032 #

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
1033 #
1034 #The following environment variable is added to set the allowable open
1035 #file descriptors
1036
1037
1038
1039 #
1040 # ======================
1041 # Company Modifications
1042 # - modify PATH for Java
1043 # - test on UserID, only interactive for t24 user
1044 #
1045
1046 # ========================== ========================== ========================== ========================== ===========
1047
1048 # copy new environment variable values to $HOME/../tcserver/conf/TCServer/environment.vars , only if .profile is newer th
1049
1050 if [ "$HOME/.profile" -nt "$HOME/../tcserver/conf/TCServer/environment.vars" ] && [ "$T24ACCOUNT" = YES ] ; then
1051 echo "$HOME/.profile is more recent than $HOME/../tcserver/conf/TCServer/environment.vars, exporting new .profi
1052
1053 mv $HOME/../tcserver/conf/TCServer/environment.vars $HOME/../tcserver/conf/TCServer/environment.varsBACKUP
1054 env > $HOME/../tcserver/conf/TCServer/environment.vars
1055 elif [ "$HOME/.profile" -nt "$HOME/../tcserver/conf/TCServer/environment.vars" ] && [ "$T24ACCOUNT" = NO ] ; then
1056
1057 echo "Please login using a valid T24 account to verify if T24 file .profile is more recent than environment.var
1058
1059 echo "You can use the command jsh to switch from ksh to jshell mode."
1060 else
1061 echo "$HOME/.profile is NOT more recent than $HOME/../tcserver/conf/TCServer/environment.vars, NOT regenerating
1062
1063 fi
1064
1065

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
1066
1067
1068 if [ -z "$TCSERVERPROCESS" ] && [ "$T24ACCOUNT" = YES ]; then
1069 rm "$HOME/../tcserver/bin/tcserver.pid"
1070 echo "tcserver process is NOT running for this environment"
1071 fi
1072
1073
1074
1075
1076
1077 if [ "$HOME/.profile" -nt "$HOME/../tcserver/bin/tcserver.pid" ] && [ "$T24ACCOUNT" = YES ] && [ $TCSERVERPIDEXISTS
1078
1079 echo "$HOME/.profile is more recent than $HOME/../tcserver/bin/tcserver.pid ..."
1080 echo "Please restart tcserver process in order to take regeneration of .profile file into account"
1081 if [ -f "${HOME}/../tcserver/conf/TCServer/tcserver.xml" ] && [ $TCSERVERPIDEXISTS = 1 ]; then
1082 echo "Use command telnet localhost $TELNETD_PORT and choose option 1 to first stop the tcserver proces
1083
1084 fi
1085
1086 elif [ "$HOME/.profile" -nt "$HOME/../tcserver/bin/tcserver.pid" ] && [ "$T24ACCOUNT" = YES ] && [ $TCSERVERPIDEXIS
1087
1088 echo "$HOME/.profile is more recent than $HOME/../tcserver/bin/tcserver.pid ..."
1089 echo "tcserver process not started yet. Please start tcserver process in order to take regeneration of .profile
1090
1091 elif [ "$T24ACCOUNT" = NO ]; then
1092 echo "Please login using a valid T24 account to verify if T24 file .profile is more recent than tcserver.pid"
1093 else
1094 echo "$HOME/.profile is NOT more recent than $HOME/../tcserver/bin/tcserver.pid..."
1095 echo "Restart of tcserver is NOT required"
1096 fi
1097 # ========================== ========================== ========================== ========================== ===========
1098

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
1099 # send warning message if the /usr/sbin/nfsrgyd process is running
1100
1101 if [ -n "$NFSRGYDPROCESS" ] && [ "$T24ACCOUNT" = YES ]; then
1102 echo "WARNING: THE PROCESS $NFSRGYDPROCESS IS RUNNING WHICH WILL SEVERELY INCREASE THE COB DURATION TO AROUND 1
1103
1104 fi
1105 # ========================== ========================== ========================== ========================== ===========
1106
1107 echo "If you are experiencing performance issues, please do a cleanup of the $JBCSPOOLERDIR directory (using jbase comman
1108
1109 # ========================== ========================== ========================== ========================== ===========
1110
1111 # set correct permissions on VOC file to prevent COB crash
1112
1113 chmod 777 $HOME/VOC*
1114
1115 # ========================== ========================== ========================== ========================== ===========
1116
1117 #
1118 # End custom modifications
1119 # ==========================
1120 #
1121 # You can now start to add any jBASE programs in your .profile at this stage.
1122 # TERM 80,10,,,,132,60
1123 # SP-ASSIGN =PRINTRONIX
1124 #
1125 # Now we work out if we want to go straight into GLOBUS or go to jBASE
1126 #
1127 # If you wish to use OFS online via EB.AUTO.INIT.PROCESS, uncomment
1128 # the following four lines of script:
1129 # First we check if there are any auto processes to run. The program
1130 # EB.AUTO.INIT.PROCESS checks the table EB.AUTO.PROCESS for a record
1131 # with an id of the user. If this is found (defined in OFS.SOURCE)

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
1132 # the EB.AUTO.INIT.PROCESS will run the routine, an ultimately logout
1133 # Where nothing is found, the routine terminates normally.
1134 # Hence we examine the $? code. A non zero seems to indicate that the
1135 # process DID something, so get out. This will need to be tested
1136 # on a site by site basis.
1137 #
1138 #EB.AUTO.INIT.PROCESS
1139 # if [ $? != 0 ]; then
1140 # exit
1141 # fi
1142 #
1143 # Now we ask our traditional question.
1144 #
1145 #echo "\nSTART GLOBUS Y/N=\c"
1146 #read answer
1147 #
1148 # If we want to start GLOBUS, do so and then exit. This prevents:
1149 # a) Too many processes being spawned and
1150 # b) Processes being left "hanging"
1151 #
1152 #if [ "$answer" = Y -o "$answer" = y ]; then
1153 # start GLOBUS here!
1154 # EBS.TERMINAL.SELECT
1155 # EX
1156 # exit
1157 #fi
1158 # Otherwise we just start the jshell...
1159 #
1160 #--------------- End of Profile.Ksh -----------------
1161 # Now enter the jsh to complete the login..>
1162
1163 echo $USER
1164

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD
1165 if [ $T24ACCOUNT = YES -o `whoami` = "SHNT001" ] ; then
1166 echo "There are currently `ps -ef|grep "$USERID"|grep tSS|wc -l` simultaneous tSS connections to the Oracle databa
1167
1168 echo "There are currently `netstat -n|grep ".$ORACLEPORTNO"|wc -l` simultaneous Oracle connections to the Oracle d
1169
1170 echo "Oracle portnumber is $ORACLEPORTNO"
1171 exec $JBCRELEASEDIR/bin/jpqn $JEDIFILENAME_MD/loginproc
1172 jsh -s jsh
1173 # manual procedure for accessing jshell using non-t24 accounts
1174 #else
1175 # cd /t24/bnk/bnk.run
1176 # . ./.profile
1177 # exec $JBCRELEASEDIR/bin/jpqn $JEDIFILENAME_MD/loginproc
1178 # jsh -s jsh
1179 fi

© 2019 GitHub, Inc. Terms Privacy Security Status Help

Contact GitHub Pricing API Training Blog About

Create PDF in your applications with the Pdfcrowd HTML to PDF API PDFCROWD

Das könnte Ihnen auch gefallen